{% extends "base.html" %}
{% block title %}{{product.name}}{% endblock %}
{% block content %}
<h1>{{ product.name }}</h1>
{% load thumbnail %}
{% thumbnail product.image "480x367" as im %}
<img src="{{ im.url }}" width="{{ im.width }}" height="{{ im.height }}">
{% endthumbnail %}

<h5>{{ product.price }}</h5>
<h5>Description: <br> {{ product.description }}</h5>

<h6>Likes <span class="js_likes_count">{{ product.likes.count }}</span></h6>
{% if not liked %}
<button type="button" class="js_product_like" data-product_id="{{ product.id }}">like</button>
{% endif %}


<div class="card-body">
    {% if not user.is_authenticated %}
    <p><a href="{% url 'users:login' %}">Login</a> to comment</p>
    {% endif %}
    <form action="" method="POST" class="js_comment_form">
        {% csrf_token %}
        <textarea rows="4" cols="50" name="text" placeholder="Enter comment here...">
</textarea>
        <input type="hidden" name="product_id" value="{{ product.id }}">
        <button type="submit">comment</button>
    </form>
</div>
<div id="comments">
    {% include "products/comment_list.html" %}
</div>

<ul class="list-group">
    {% for date, count in likes.items %}
    <li class="list-group-item">{{ date }} - {{ count }}</li>
    {% endfor %}
</ul>

<hr>
<div class="card-body">


    <h3>Popular</h3>
    <ul class="list-group">
        {% for product in popular_list %}
        <li class="list-group-item">
            <a href="{{ product.get_absolute_url }}">{{ product.name }}</a>
        </li>
        {% endfor %}
    </ul>

    {% endblock content %}

